<xml></xml>

Saxon API for .NET |

# XdmAtomicValue.GetTypeName Method

Get the name of the value's XDM type

public QName GetTypeName(
Processor processor
);

#### Parameters

processor
  The `Processor` object. This is needed for access to the NamePool, which maps the internal form of type names to their external form.

#### Return Value

The type of the value, as a QName. This may be a built-in type or a user-defined atomic type.

#### See Also

XdmAtomicValue Class | Saxon.Api Namespace